### Method

# Ggit Repository create_commit_buffer

#### Declaration [src]

    gchar*
    ggit_repository_create_commit_buffer (
      GgitRepository* repository,
      GgitSignature* author,
      GgitSignature* committer,
      const gchar* message_encoding,
      const gchar* message,
      GgitTree* tree,
      GgitCommit** parents,
      gint parent_count,
      GError** error
    )

#### Description [src]

Create a commit as with `git_commit_create()` but instead of writing it to the objectdb, write the contents of the object into a buffer.

#### Parameters

`author`

  Type: `GgitSignature`

  Author signature.

  The data is owned by the caller of the method.

`committer`

  Type: `GgitSignature`

  Committer signature (and time of commit).

  The data is owned by the caller of the method.

`message_encoding`

  Type: `const gchar*`

  Message encoding.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`message`

  Type: `const gchar*`

  Commit message.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`tree`

  Type: `GgitTree`

  The tree of objects to commit.

  The data is owned by the caller of the method.

`parents`

  Type: An array of `GgitCommit*`

  Parent commits.

  The length of the array is specified in the `parent_count` argument.
  The data is owned by the caller of the method.

`parent_count`

  Type: `gint`

  Number of parent commits in `parents`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

The commit object content or `NULL` in case of an error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.